
void ProcessDialogEvent()
{
	ref NPChar;
	aref Link, NextDiag;

	DeleteAttribute(&Dialog,"Links");

	makeref(NPChar,CharacterRef);
	makearef(Link, Dialog.Links);
	makearef(NextDiag, NPChar.Dialog);
	
	switch(Dialog.CurrentNode)
	{
		case "First time":
			dialog.text = "Witaj w świątyni.";
			link.l1 = "Ojcze, chciałbym sie wyspowiadać i poczynić pokutę.";
			link.l1.go = "donate";
			link.l2 = "Wybacz, juz wychodzę.";
			link.l2.go = "exit";
			
			
			NextDiag.TempNode = "First time";
		break;

		case "donate":
			dialog.text = "Twoje grzechy są ciężkie, ale Bóg łaskawy. Ile chciałbyś przeznaczyć na pokutę?";
			if(sti(pchar.money) >= 1000)
			{
				link.l1 = "1000 piastrów.";
				link.l1.go = "donate1000";
			}
			if(sti(pchar.money) >= 5000)
			{
				link.l2 = "5000 piastrów.";
				link.l2.go = "donate5000";
			}
			if(sti(pchar.money) >= 10000)
			{
				link.l3 = "10000 piastrów.";
				link.l3.go = "donate10000";
			}
			link.l4 = "Myślę, że odłożę to do następnej wizyty w kościele.";
			link.l4.go = "exit";
		break;

		case "donate1000":
			dialog.text = "Bóg wybaczył ci twoje grzechy.";
			link.l1 = "A ja poczułem się znacznie lżej po tej spowiedzi.";
			link.l1.go = "donateExit";
			npchar.donate = 1000;
		break;

		case "donate5000":
			dialog.text = "Bóg wybaczył ci twoje grzechy.";
			link.l1 = "A ja poczułem się znacznie lżej po tej spowiedzi.";
			link.l1.go = "donateExit";
			npchar.donate = 5000;
		break;

		case "donate10000":
			dialog.text = "Bóg wybaczył ci twoje grzechy.";
			link.l1 = "Wspaniale, nie ma to jak czyste konto, prawda Padre?";
			link.l1.go = "donateExit";
			npchar.donate = 10000;
		break;

		case "donateExit":
			NextDiag.CurrentNode = NextDiag.TempNode;
			DialogExit();
			MakeDonate(npchar);
		break;

		case "Exit":
			NextDiag.CurrentNode = NextDiag.TempNode;
			DialogExit();
		break;
	}
}

